/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id: StringBeanTextEncoder.java 70531 2013-03-10 14:38:04Z djiao $
 */

package com.sun.ts.tests.websocket.common.stringbean;

import javax.websocket.EncodeException;
import javax.websocket.Encoder.Text;
import javax.websocket.EndpointConfig;

public class StringBeanTextEncoder implements Text<StringBean> {

    @Override
    public void init(EndpointConfig config) {
    }

    @Override
    public String encode(StringBean bean) throws EncodeException {
        return bean.get();
    }

    @Override
    public void destroy() {
    }
}
